SELECT
	--wd_data.id					AS id,
	substr(wd_data.date,1,7)				AS month,
	c.categname					AS category,
	sum(wd_data.amount)				AS amount
	--COALESCE(c.categname, '')
	--||  ":" || 
	--COALESCE(sc.subcategname, '')	AS cat
FROM (
	SELECT	
		t1.transid					AS id,
		t1.transdate				AS date,
		case when t1.STATUS = 'V' then 0 when t1.TRANSCODE = 'Withdrawal' then -1 * t2.splittransamount when t1.TRANSCODE = 'Transfer' and t1.TOACCOUNTID <> t1.ACCOUNTID then -1 * t2.splittransamount else t2.splittransamount end AS amount,
		t2.categid					AS catid,
		t2.subcategid				AS subcatid, 
		'[*Split] ' || t1.notes		AS notes,
		t1.payeeid					AS payeeid,
		t1.accountid				AS accountid
	FROM 
		splittransactions_v1 	AS t2
		INNER JOIN checkingaccount_v1 AS t1	ON t1.TRANSID = t2.TRANSID
	UNION ALL
	SELECT
		ca.transid			AS id,
		ca.transdate		AS date,
		case when ca.STATUS = 'V' then 0 when ca.TRANSCODE = 'Withdrawal' then -1 * ca.TRANSAMOUNT when ca.TRANSCODE = 'Transfer' and ca.TOACCOUNTID <> ca.ACCOUNTID then -1 * ca.TRANSAMOUNT else ca.TRANSAMOUNT end AS amount,
		ca.categid			AS catid,
		ca.subcategid		AS subcatid, 
		ca.notes			AS notes,
		ca.payeeid			AS payeeid,
		ca.accountid		AS accountid
		FROM
			checkingaccount_v1 AS ca
		WHERE  
			ca.categid <>-1
	) AS wd_data
	LEFT JOIN accountlist_v1 AS acc ON wd_data.accountid = acc.accountid
	LEFT JOIN CURRENCYFORMATS_V1 AS c ON c.CURRENCYID = acc.CURRENCYID
	LEFT JOIN category_v1 AS c ON wd_data.catid = c.categid
	LEFT JOIN subcategory_v1 AS sc ON wd_data.subcatid = sc.subcategid
	LEFT JOIN payee_v1 AS p ON wd_data.payeeid = p.payeeid
WHERE 
	wd_data.date >= '&begin_date'
	AND wd_data.date <= '&end_date'
GROUP BY
	substr(wd_data.date,1,7),
	c.CATEGNAME --sc.SUBCATEGNAME
ORDER BY 
	substr(wd_data.date,1,7),
	amount desc
	--c.CATEGNAME, sc.SUBCATEGNAME, date ASC;

